// Copyright (C) Nial Peters 2011
//
// This file is part of blur.
// blur is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// blur is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with blur.  If not, see <http://www.gnu.org/licenses/>.


/*
 * str_functions.hpp
 *
 *  Created on: 3 Nov 2011
 *      Author: nialp
 */

#ifndef STR_FUNCTIONS_HPP_
#define STR_FUNCTIONS_HPP_
#include<string.h>
#include<time.h>
#include<stdio.h>
//#include "logging.h"


int string_ends_with(const char* str, const char* ending);
int string_replace(char* output, size_t max_len, const char *str, const char *substr, const char *replacement_substr);
size_t stringFromTime(char *s, size_t max_s, const char *fmt, time_t seconds, int milliseconds);
#endif /* STR_FUNCTIONS_HPP_ */
